curl -X GET "https://demo.api.vultlocal.com/api/v1/agents/agent_abc123" \
-H "Authorization: Bearer olive_live_xxx"
{
"agent": {
"id": "agent_abc123",
"type": "super_agent",
"business_name": "ABC Money Services",
"first_name": "John",
"last_name": "Doe",
"phone_number": "+23277123456",
"email": "john@abcmoney.sl",
"location": "Freetown CBD",
"status": "active",
"float_balance": 5000000,
"float_balance_formatted": "5,000,000.00 SLE",
"commission_tier": "premium",
"settlement_mode": "instant",
"sub_agent_count": 12,
"created_at": "2025-01-01T10:00:00Z"
}
}
{
"agent": {
"id": "agent_xyz789",
"type": "sub_agent",
"business_name": "Corner Shop",
"first_name": "Jane",
"last_name": "Smith",
"phone_number": "+23276654321",
"status": "active",
"float_balance": 500000,
"float_balance_formatted": "500,000.00 SLE",
"parent_agent_id": "agent_abc123",
"parent_agent_name": "ABC Money Services",
"created_at": "2025-01-15T10:30:00Z"
}
}
{
"error": "Agent not found",
"code": "NOT_FOUND"
}
Agents
Get Agent
Retrieve agent details by ID
GET
/
agents
/
{id}
curl -X GET "https://demo.api.vultlocal.com/api/v1/agents/agent_abc123" \
-H "Authorization: Bearer olive_live_xxx"
{
"agent": {
"id": "agent_abc123",
"type": "super_agent",
"business_name": "ABC Money Services",
"first_name": "John",
"last_name": "Doe",
"phone_number": "+23277123456",
"email": "john@abcmoney.sl",
"location": "Freetown CBD",
"status": "active",
"float_balance": 5000000,
"float_balance_formatted": "5,000,000.00 SLE",
"commission_tier": "premium",
"settlement_mode": "instant",
"sub_agent_count": 12,
"created_at": "2025-01-01T10:00:00Z"
}
}
{
"agent": {
"id": "agent_xyz789",
"type": "sub_agent",
"business_name": "Corner Shop",
"first_name": "Jane",
"last_name": "Smith",
"phone_number": "+23276654321",
"status": "active",
"float_balance": 500000,
"float_balance_formatted": "500,000.00 SLE",
"parent_agent_id": "agent_abc123",
"parent_agent_name": "ABC Money Services",
"created_at": "2025-01-15T10:30:00Z"
}
}
{
"error": "Agent not found",
"code": "NOT_FOUND"
}
Request
string
required
Bearer olive_live_xxx or Bearer eyJ... (JWT)Path Parameters
string
required
Agent UUID (e.g.,
agent_abc123)Response
object
Show Agent Object
Show Agent Object
string
Unique agent UUID
string
super_agent or sub_agentstring
Registered business name
string
Agent first name
string
Agent last name
string
Contact phone
string
active, suspended, terminatedinteger
Current float in cents
string
Formatted balance
string
Parent agent (sub-agents only)
integer
Number of sub-agents (super-agents only)
Examples
curl -X GET "https://demo.api.vultlocal.com/api/v1/agents/agent_abc123" \
-H "Authorization: Bearer olive_live_xxx"
{
"agent": {
"id": "agent_abc123",
"type": "super_agent",
"business_name": "ABC Money Services",
"first_name": "John",
"last_name": "Doe",
"phone_number": "+23277123456",
"email": "john@abcmoney.sl",
"location": "Freetown CBD",
"status": "active",
"float_balance": 5000000,
"float_balance_formatted": "5,000,000.00 SLE",
"commission_tier": "premium",
"settlement_mode": "instant",
"sub_agent_count": 12,
"created_at": "2025-01-01T10:00:00Z"
}
}
{
"agent": {
"id": "agent_xyz789",
"type": "sub_agent",
"business_name": "Corner Shop",
"first_name": "Jane",
"last_name": "Smith",
"phone_number": "+23276654321",
"status": "active",
"float_balance": 500000,
"float_balance_formatted": "500,000.00 SLE",
"parent_agent_id": "agent_abc123",
"parent_agent_name": "ABC Money Services",
"created_at": "2025-01-15T10:30:00Z"
}
}
{
"error": "Agent not found",
"code": "NOT_FOUND"
}
Errors
| Status | Code | Description |
|---|---|---|
| 401 | UNAUTHORIZED | Invalid API key |
| 403 | FORBIDDEN | Not authorized to view this agent |
| 404 | NOT_FOUND | Agent not found |
| 500 | INTERNAL_ERROR | Server error |
⌘I